# Installation
> `npm install --save @types/react-truncate`

# Summary
This package contains type definitions for react-truncate (https://github.com/One-com/react-truncate).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-truncate.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-truncate/index.d.ts)
````ts
import * as React from "react";

export interface TruncateProps extends React.HTMLProps<Truncate> {
    lines?: number | false | undefined;
    ellipsis?: React.ReactNode | undefined;
    trimWhitespace?: boolean | undefined;
    onTruncate?(isTruncated: boolean): void;
}

declare class Truncate extends React.Component<TruncateProps> {}
export default Truncate;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react)

# Credits
These definitions were written by [Matt Perry](https://github.com/mattvperry).
